# Wagtail 4.0.2 release notes

_September 23, 2022_

```{contents}
---
local:
depth: 1
---
```

## What's new

 * Update all images and sections of the Wagtail Editor's guide to align with the new admin interface changes from Wagtail 3.0 and 4.0 (Thibaud Colas)
 * Ensure all images in the documentation have a suitable alt text (Thibaud Colas)

### Bug fixes

 * Ensure tag autocompletion dropdown has a solid background (LB (Ben) Johnston)
 * Allow inline panels to be ordered (LB (Ben) Johnston)
 * Only show draft / live status tags on snippets that have `DraftStateMixin` applied (Sage Abdullah)
 * Prevent JS error when initializing chooser modals with no tabs (LB (Ben) Johnston)
 * Add missing vertical spacing between chooser modal header and body when there are no tabs (LB (Ben) Johnston)
 * Reinstate specific labels for chooser buttons (for example 'Choose another page', 'Edit this page' not 'Change', 'Edit') so that it is clearer for users and non-English translations (Matt Westcott)
 * Resolve issue where searches with a tag and a query param in the image listing would result in an `FilterFieldError` (Stefan Hammer)
 * Add missing vertical space between header and content in embed chooser modal (LB (Ben) Johnston)
 * Use the correct type scale for heading levels in rich text (Steven Steinwand)
 * Update alignment and reveal logic of fields’ comment buttons (Steven Steinwand)
 * Regression from Markdown conversion in documentation for API configuration - update to correctly use PEP-8 for example code (Storm Heg)
 * Prevent 'Delete' link on page edit view from redirecting back to the deleted page (LB (Ben) Johnston)
 * Prevent JS error on images index view when collections dropdown is omitted (Tidiane Dia)
 * Prevent "Entries per page" dropdown on images index view from reverting to 10 (Tidiane Dia)
 * Set related_name on user revision relation to avoid conflict with django-reversion (Matt Westcott)
 * Ensure the "recent edits" panel on the Dashboard (home) page works when page record is missing (Matt Westcott)
 * Only add Translate buttons when the `simple_translation` app is installed (Dan Braghis)
 * Ensure that `MultiFieldPanel` correctly outputs all child classnames in the template (Matt Westcott)
 * Remove over-eager caching on ModelAdmin permission checks (Matt Westcott, Stefan Hammer)
 