# Wagtail 4.1.3 release notes

_March 13, 2023_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Bug fixes

 * Add right-to-left (RTL) support for the following form components: Switch, Minimap, live preview (Thibaud Colas)
 * Improve right-to-left (RTL) positioning for the following components: Page explorer, Sidebar sub-menu, rich text tooltips, rich text toolbar trigger, editor section headers (Thibaud Colas)
 * Ensure links within help blocks meet color contrast guidelines for accessibility (Theresa Okoro)
 * Support creating `StructValue` copies (Tidiane Dia)
 * Fix "Edit this page" missing from userbar (Satvik Vashisht)
 * Prevent audit log report from failing on missing models (Andy Chosak)
 * Add missing log information for `wagtail.schedule.cancel` (Stefan Hammer)
 * Fix timezone activation leaking into subsequent requests in `require_admin_access()` (Stefan Hammer)
 * Prevent matches from unrelated models from leaking into SQLite FTS searches (Matt Westcott)
 * Update Algolia DocSearch to use new application and correct versioning setup (Thibaud Colas)

### Documentation

 * Docs: Clarify `ClusterableModel` requirements for using relations with `RevisionMixin`-enabled models (Sage Abdullah)
