# Wagtail 5.2.1 release notes

_November 16, 2023_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Bug fixes

 * Add a fallback background for the editing preview iframe for sites without a background (Ian Price)
 * Remove search logging from project template so that new projects without the search promotions module will not error (Matt Westcott)
 * Ensure text only email notifications for updated comments do not escape HTML characters (Rohit Sharma)
 * Use logical OR operator to combine search fields for Django ORM in generic IndexView (Varun Kumar)
 * Ensure that explorer_results views fill in the correct next_url parameter on action URLs (Matt Westcott)
 * Fix crash when accessing the history view for a translatable snippet (Sage Abdullah)
 * Prevent upload of SVG images from failing when image feature detection is enabled (Joshua Munn)
 * Fix crash when using the locale switcher on the snippets create view (Sage Abdullah)
 * Fix performance regression on reports from calling `decorate_paginated_queryset` before pagination / filtering (Alex Tomkins)
 * Make searching on specific fields work correctly on Elasticsearch when boost is in use (Matt Westcott)
 * Prevent snippet permission post-migrate hook from failing on multiple database configurations (Joe Tsoi)
 * Reinstate ability to filter on page type when searching on an empty query (Sage Abdullah)
 * Prevent error on locked pages report when a user has locked multiple pages (Matt Westcott)

### Documentation

 * Fix code example for `{% picture ... as ... %}` template tag (Rezyapkin)
