# Wagtail 6.4.1 release notes

_February 21, 2025_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Bug fixes

 * Prevent error when filtering by locale and searching with Elasticsearch (Sage Abdullah)
 * Support searching `none()` querysets (Matt Westcott)
 * Correctly handle UUID primary keys when invoking background tasks (Matt Westcott)
 * Fix regression where nested sub-menu items would not be visible (Sage Abdullah)
 * Ensure the top of the minimap correctly adjusts when resizing the browser viewport (Thibaud Colas)
 * Remove obsolete SubqueryConstraint check in search backends, for provisional Django 5.2 compatibility (Sage Abdullah)
 * Add missing “Close” label to the upgrade notification dismiss button (Sage Abdullah)
 * Fix white text on white background in previews for sites that use color-scheme without a background-color (Sage Abdullah)

### Documentation

 * Fix typo in the headless documentation page (Mahmoud Nasser)
 * Fix typo in `Page.get_route_paths` docstring (Baptiste Mispelon)
 * Upgrade sphinx-wagtail-theme to v6.5.0 (Sage Abdullah)

### Maintenance

 * Remove upper version boundary for django-filter (Dan Braghis)
 * Relax upper version boundaries for django-taggit and beautifulsoup4 (Matt Westcott)
