# Wagtail 6.5 release notes - IN DEVELOPMENT

_Unreleased_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Other features

 * Add `WAGTAIL_` prefix to Wagtail-specific tag settings (Aayushman Singh)
 * Implement `normalize` on `TypedTableBlock` to assist with setting `default` and `preview_value` (Sage Abdullah)
 * Apply normalization when modifying a `StreamBlock`'s value to assist with programmatic changes to `StreamField` (Matt Westcott)
 * Allow a custom image rendition model to define its unique constraint with `models.UniqueConstraint` instead of `unique_together` (Oliver Parker, Cynthia Kiser, Sage Abdullah)
 * Default to the `standard` tokenizer on Elasticsearch, to correctly handle numbers as tokens (Matt Westcott)

### Bug fixes

 * Take preferred language into account for translatable strings in client-side code (Bernhard Bliem, Sage Abdullah)
 * Support translating with the preferred language for rich text formatting labels (Bernhard Bliem, Sage Abdullah)
 * Make "Actions" label translatable within the rich text toolbar (Bernhard Bliem, Sage Abdullah)
 * Do not show the content type column as sortable when searching pages (Srishti Jaiswal, Sage Abdullah)
 * Support simple subqueries for `in` and `exact` lookup on Elasticsearch (Sage Abdullah)
 * Force preview panel scroll behavior to instant to avoid flickering (Sage Abdullah)

### Documentation

 * Add missing `django.contrib.admin` to list of apps in "add to Django project" guide (Mohamed Rabiaa)

### Maintenance

 * Migrate away from deprecated Sass import rules to module system (Srishti Jaiswal)
 * Apply Sass mixed declarations migration in preparation for CSS nesting (Prabhpreet Kaur)
 * Refactor styles for Draftail, minimap, and comments to fix remaining Sass migration warnings (Thibaud Colas)
 * npm package updates; `downshift`, `focus-trap-react`, `immer`, `redux`, `uuid` (LB (Ben) Johnston)
 * Validate against invalid characters in Lexeme values (Matt Westcott)
 * Split up `wagtail.models` module into submodules (Matt Westcott)

## Upgrade considerations - changes affecting all projects

## Upgrade considerations - deprecation of old functionality

### `TAG_LIMIT` and `TAG_SPACES_ALLOWED` settings renamed to `WAGTAIL_TAG_LIMIT` and `WAGTAIL_TAG_SPACES_ALLOWED`

The `TAG_LIMIT` and `TAG_SPACES_ALLOWED` settings have been renamed to `WAGTAIL_TAG_LIMIT` and `WAGTAIL_TAG_SPACES_ALLOWED` respectively. The old settings will continue to work for now, but will be removed in a future release.

## Upgrade considerations - changes affecting Wagtail customisations

## Upgrade considerations - changes to undocumented internals
