# Wagtail 6.0.5 release notes

_May 30, 2024_

```{contents}
---
local:
depth: 1
---
```

## What's new

### CVE-2024-35228: Improper handling of insufficient permissions in `wagtail.contrib.settings`

This release addresses a permission vulnerability in the Wagtail admin interface. Due to an improperly applied permission check in the `wagtail.contrib.settings` module, a user with access to the Wagtail admin and knowledge of the URL of the edit view for a settings model can access and update that setting, even when they have not been granted permission over the model. The vulnerability is not exploitable by an ordinary site visitor without access to the Wagtail admin.

Many thanks to Victor Miti for reporting this issue, and Matt Westcott and Jake Howard for the fix. For further details, please see [the CVE-2024-35228 security advisory](https://github.com/wagtail/wagtail/security/advisories/GHSA-xxfm-vmcf-g33f).
